diff options
| author | Scott Moser <smoser@ubuntu.com> | 2016-08-10 09:06:15 -0600 |
|---|---|---|
| committer | Scott Moser <smoser@ubuntu.com> | 2016-08-10 09:06:15 -0600 |
| commit | c3c3dc693c14175e110b5fe125d4d5f98ace9700 (patch) | |
| tree | 8858702c2c8a6ad4bf1bb861a4565e0a9c28e588 /tools/tox-venv | |
| parent | 5bd3493d732e5b1902872958e8681f17cbc81ce5 (diff) | |
| download | cloud-init-trunk.tar.gz | |
cloud-init development has moved its revision control to git.
It is available at
https://code.launchpad.net/cloud-init
Clone with
git clone https://git.launchpad.net/cloud-init
or
git clone git+ssh://git.launchpad.net/cloud-init
For more information see
https://git.launchpad.net/cloud-init/tree/HACKING.rst
Diffstat (limited to 'tools/tox-venv')
| -rwxr-xr-x | tools/tox-venv | 42 |
1 files changed, 0 insertions, 42 deletions
diff --git a/tools/tox-venv b/tools/tox-venv deleted file mode 100755 index 76ed5076..00000000 --- a/tools/tox-venv +++ /dev/null @@ -1,42 +0,0 @@ -#!/bin/sh - -error() { echo "$@" 1>&2; } -fail() { [ $# -eq 0 ] || error "$@"; exit 1; } -Usage() { - cat <<EOF -Usage: ${0##*/} tox-environment [command [args]] - run command with provided arguments in the provided tox environment - command defaults to \${SHELL:-/bin/sh}. - - invoke with '--list' to show available environments -EOF -} -list_toxes() { - local td="$1" pre="$2" d="" - ( cd "$tox_d" && - for d in *; do [ -f "$d/bin/activate" ] && echo "${pre}$d"; done) -} - -[ $# -eq 0 ] && { Usage 1>&2; exit 1; } -[ "$1" = "-h" -o "$1" = "--help" ] && { Usage; exit 0; } - -env="$1" -shift -tox_d="${0%/*}/../.tox" -activate="$tox_d/$env/bin/activate" - - -[ -d "$tox_d" ] || fail "$tox_d: not a dir. maybe run 'tox'?" - -[ "$env" = "-l" -o "$env" = "--list" ] && { list_toxes ; exit ; } - -if [ ! -f "$activate" ]; then - error "$env: not a valid tox environment?" - error "try one of:" - list_toxes "$tox_d" " " - fail -fi -. "$activate" - -[ "$#" -gt 0 ] || set -- ${SHELL:-/bin/bash} -debian_chroot="tox:$env" exec "$@" |
